﻿
/*#region public*/
:root {
    --gray-t: #d1d3d4;
    --gray2-t: #a8acae;
    --blue-t: #2158a8;
    --blue2-t: #275ca8;
    --gray-light: #e0e5e8;
    --violet-t: #ccd0e9;
    --orange-t: #faa930;
    --orange-t2: #f7941e;
    --swiper-navigation-size: 28px;
    --gray-bg-t: #f1f1f2;
    --gray3-t: #8a8b8c;
    --gray-color: #c0c2c5;
    --gray4-t: #e6e7e8;
    --gray-dark2: #64696f;
    --gray-light2: #f3f3f3;
    --gray5-t: #9a9a9a;
    --red-t: #be1e2d;
    --gray-5: #efefef;
    --gray-6-t: #58595b;
    --red-t2: #ed1d24;
    --green-t: #39b54a;
    --gray-7-t: #a1a3a6;
    --gray-8: #fafafa;
    --info: #17a2b8;
    --blue-3: #255ca6;
    --gray-9: #f0f0f0;
}

@font-face {
    font-family: yekan;
    src: url(../fonts/yekanweb.eot);
    src: url(../fonts/yekanweb.eot?#iefix) format("embedded-opentype"), url(../fonts/yekanweb.woff) format("woff"), url(../fonts/yekanweb.ttf) format("truetype"), url(../fonts/yekanweb.svg#web_Yekan) format("svg");
    font-style: normal;
    font-weight: 400
}

@font-face {
    font-family: numbers;
    src: url(../fonts/yekannumbers.eot);
    src: url(../fonts/yekannumbers.eot?#iefix) format("embedded-opentype"), url(../fonts/yekannumbers.woff) format("woff"), url(../fonts/yekannumbers.ttf) format("truetype"), url(../fonts/yekannumbers.svg#web_Yekan) format("svg");
    font-style: normal;
    font-weight: 400
}

@font-face {
    font-family: IRANSans;
    font-style: normal;
    font-weight: bold;
    src: url('../font/eot/IRANSansWeb(FaNum)_Bold.eot');
    src: url('../font/eot/IRANSansWeb(FaNum)_Bold.eot?#iefix') format('embedded-opentype'), /* IE6-8 */
    url('../font/woff2/IRANSansWeb(FaNum)_Bold.woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/
    url('../font/woff/IRANSansWeb(FaNum)_Bold.woff') format('woff'), /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
    url('../font/ttf/IRANSansWeb(FaNum)_Bold.ttf') format('truetype');
}

@font-face {
    font-family: IRANSans;
    font-style: normal;
    font-weight: 500;
    src: url('../font/eot/IRANSansWeb(FaNum)_Medium.eot');
    src: url('../font/eot/IRANSansWeb(FaNum)_Medium.eot?#iefix') format('embedded-opentype'), /* IE6-8 */
    url('../font/woff2/IRANSansWeb(FaNum)_Medium.woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/
    url('../font/woff/IRANSansWeb(FaNum)_Medium.woff') format('woff'), /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
    url('../font/ttf/IRANSansWeb(FaNum)_Medium.ttf') format('truetype');
}

@font-face {
    font-family: IRANSans;
    font-style: normal;
    font-weight: 300;
    src: url('../font/eot/IRANSansWeb(FaNum)_Light.eot');
    src: url('../font/eot/IRANSansWeb(FaNum)_Light.eot?#iefix') format('embedded-opentype'), /* IE6-8 */
    url('../font/woff2/IRANSansWeb(FaNum)_Light.woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/
    url('../font/woff/IRANSansWeb(FaNum)_Light.woff') format('woff'), /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
    url('../font/ttf/IRANSansWeb(FaNum)_Light.ttf') format('truetype');
}

@font-face {
    font-family: IRANSans;
    font-style: normal;
    font-weight: 200;
    src: url('../font/eot/IRANSansWeb(FaNum)_UltraLight.eot');
    src: url('../font/eot/IRANSansWeb(FaNum)_UltraLight.eot?#iefix') format('embedded-opentype'), /* IE6-8 */
    url('../font/woff2/IRANSansWeb(FaNum)_UltraLight.woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/
    url('../font/woff/IRANSansWeb(FaNum)_UltraLight.woff') format('woff'), /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
    url('../font/ttf/IRANSansWeb(FaNum)_UltraLight.ttf') format('truetype');
}

@font-face {
    font-family: IRANSans;
    font-style: normal;
    font-weight: normal;
    src: url('../font/eot/IRANSansWeb(FaNum).eot');
    src: url('../font/eot/IRANSansWeb(FaNum).eot?#iefix') format('embedded-opentype'), /* IE6-8 */
    url('../font/woff2/IRANSansWeb(FaNum).woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/
    url('../font/woff/IRANSansWeb(FaNum).woff') format('woff'), /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
    url('../font/ttf/IRANSansWeb(FaNum).ttf') format('truetype');
}

body {
    background-color: var(--gray-bg-t);
    direction: rtl;
    font-family: IRANSans;
    padding: 0;
    margin: 0;
}

.color-blue {
    color: var(--blue2-t);
}
.color-orange {
    color: var(--orange-t2);
}
.color-info {
    color: var(--info);
}
.p-0
{
    padding:0;
}

.fs-12 {
    font-size: 12px !important;
}

.fs-14 {
    font-size: 14px !important;
}

.fs-16 {
    font-size: 16px !important;
}

.fs-20 {
    font-size: 20px;
}

.fs-28 {
    font-size: 28px !important;
}

.bg-gray-5-focus:focus {
    background-color: var(--gray-5);
}

.bg-gray-8 {
    background-color: var(--gray-8);
}

.line-h-30 {
    line-height: 30px;
}

.hover-white:hover {
    color: white !important;
}

.ltr {
    direction: ltr;
}
.rtl {
    direction: rtl;
}

label {
    margin-bottom: 0 !important;
}

.w-70 {
    width: 70% !important;
}
.font-formal-en
{
    font-family:sans-serif;
}
/*.w-10 {
    width: 10% !important;
}*/
.w-90 {
    width: 90% !important;
}

.w-15 {
    width: 15% !important;
}

.w-30 {
    width: 30% !important;
}

.w-60 {
    width: 60% !important;
}

.w-65 {
    width: 65% !important;
}

.w-35 {
    width: 35% !important;
}

.w-40 {
    width: 40% !important;
}

.w-80 {
    width: 80% !important;
}

.w-20 {
    width: 20% !important;
}
.w-18-px
{
    width:18px !important;
}

.w-150 {
    width: 150px;
}

.w-25-px {
    width: 25px;
}

.w-50-px {
    width: 50px;
}

.w-30-px {
    width: 30px;
}

.w-70-px {
    width: 70px;
}

.w-content {
    width: fit-content;
}

.desktop-only {
    display: flex !important;
}

.mobile-only {
    display: none !important;
}

.p1 {
    font-size: 0.8em;
    text-align: right;
    margin-top: 5px;
    margin-bottom: 10px;
}

.mh-410 {
    min-height: 410px;
}

.text-center {
    text-align: center;
}

.text-right-r {
    text-align: right;
}

.fs-1_3 {
    font-size: 1.3em;
}

.fs-1_1 {
    font-size: 1.1em;
}

.fs-1 {
    font-size: 1em;
}

.fs-0_9 {
    font-size: 0.9em;
}

.fs-0_8 {
    font-size: 0.8em;
}

.fs-0_7 {
    font-size: 0.7em;
}
.fs-0_75 {
    font-size: 0.75em;
}
.fs-1_8
{
    font-size:1.8em;
}
.fs-1_4{
    font-size: 1.4em;
}
.no-border {
    border: 0 !important;
}

.desktop-block-only {
    display: block !important;
}

.br-50-per {
    border-radius: 50%;
}

.br-25 {
    border-radius: 25px;
}

.br-18 {
    border-radius: 18px;
}

.br-10 {
    border-radius: 10px;
}

.br-7 {
    border-radius: 7px;
}

.br-5 {
    border-radius: 5px;
}

.bg-blue {
    background-color: var(--blue-t);
}

.bg-black {
    background-color: black;
}

.bg-blue-2 {
    background-color: var(--blue2-t);
}

.bg-gray {
    background-color: var( --gray-6-t) !important;
}
.bg-gray-9 {
    background-color: var(--gray-9) !important;
}

.bg-gray-2 {
    background-color: var(--gray2-t) !important;
}

.bg-gray-5 {
    background-color: var(--gray-5) !important;
}

.bg-orange {
    background-color: var(--orange-t);
}

.bg-green {
    background-color: var(--green-t);
}

.bg-white {
    background-color: white;
}

.bg-transparent {
    background-color: transparent;
}

.bg-gray-4 {
    background-color: var(--gray4-t);
}

.blue {
    color: var(--blue-t);
}

.white-arrow-left {
    color: white;
    top: var(--swiper-navigation-top-offset, 58%);
    left: var(--swiper-navigation-sides-offset, 24px);
}

.white-arrow-right {
    color: white;
    top: var(--swiper-navigation-top-offset, 58%);
    right: var(--swiper-navigation-sides-offset, 26px);
}

.valign-m {
    vertical-align: middle;
}

.top-45 {
    top: 45%;
}

.top-40 {
    top: 40%;
}

.right-45 {
    right: 45%;
}

.top-60 {
    top: 60%;
}

.right-49 {
    right: 49%;
}

.py-3 {
    padding-top: 16px !important;
    padding-bottom: 16px !important;
}

.pb-3-px {
    padding-bottom: 3px;
}

.pb-5 {
    padding-bottom: 5px !important;
}

.pb-10 {
    padding-bottom: 10px !important;
}

.pb-16 {
    padding-bottom: 16px !important;
}

.pt-16 {
    padding-top: 16px;
}

.pt-3rem {
    padding-top: 3rem !important;
}
.pt-1rem {
    padding-top: 1rem !important;
}


.pb-1rem {
    padding-bottom: 1rem !important;
}

.pr-16 {
    padding-right: 16px !important;
}

.pl-16 {
    padding-left: 16px !important;
}

.pr-30 {
    padding-right: 30px;
}

.pr-3-px {
    padding-right: 3px;
}

.pl-3-px {
    padding-left: 3px;
}

.pl-30 {
    padding-left: 30px;
}

.ml-25 {
    margin-left: 25px;
}

.p-16 {
    padding: 16px;
}

.bt-r-7 {
    border-top-right-radius: 7px;
}

.bt-l-7 {
    border-top-left-radius: 7px;
}

.bb-r-7 {
    border-bottom-right-radius: 7px;
}

.bb-l-7 {
    border-bottom-left-radius: 7px;
}

.dir-ltr {
    direction: ltr;
}

.mr-10 {
    margin-right: 10px;
}

.mr-6 {
    margin-right: 6px;
}

.mr-0 {
    margin: 0;
}

.ml-6 {
    margin-left: 6px;
}

.mb-10 {
    margin-bottom: 10px;
}

.mb-5 {
    margin-bottom: 5px !important;
}

.mb-16 {
    margin-bottom: 16px !important;
}

.w-full {
    width: 100%;
}

.w-48 {
    width: 48%;
}

h-full {
    height: 100%;
}

.align-center {
    align-items: center;
}

.align-stretch {
    align-items: stretch;
}

.align-selfend {
    align-items: self-end;
}

.js-between {
    justify-content: space-between;
}

.pos-relative {
    position: relative;
}

.pos-absolute {
    position: absolute;
}

.pos-fixed {
    position: fixed;
}

.pt-15 {
    padding-top: 15px;
}

.pr-6 {
    padding-right: 6px;
}

.pl-6 {
    padding-left: 6px;
}

.pb-6 {
    padding-bottom: 6px;
}

.flex {
    display: flex;
}

.table-caption {
    display: table-caption;
}

.flex-1 {
    flex: 1;
}

.align-start {
    align-items: flex-start;
}

.align-end {
    align-items: flex-end;
}

.ml-20 {
    margin-left: 20px;
}

.pointer {
    cursor: pointer;
}

.display-block {
    display: block !important;
}

.display-none {
    display: none;
}

.flex-1 {
    flex-grow: 1;
}

.jc-right {
    justify-content: right;
}

.jc-end {
    justify-content: flex-end;
}

.jc-left {
    justify-content: left;
}

.jc-between {
    justify-content: space-between;
}

.jc-center {
    justify-content: center;
}

.p-10 {
    padding: 10px;
}

.p-5 {
    padding: 5px !important;
}

.p-7 {
    padding: 7px !important;
}

ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.dir-column {
    flex-direction: column;
}

.wrap {
    flex-wrap: wrap;
}

a {
    cursor: pointer;
    transition: all ease 0.5s;
}

    a:hover {
        text-decoration: none;
        color: var(--blue2-t) !important;
    }

.white-color {
    color: white !important;
}

.black-color {
    color: black !important;
}

.gray5-color {
    color: var(--gray5-t);
}

.gray7-color {
    color: var(--gray-7-t);
}

.gray6-color {
    color: var(--gray-6-t);
}

.gray-dark-color {
    color: var(--gray-dark2) !important;
}

.gray-color a:hover {
    color: var(--gray-dark2) !important;
}

.gray-color, input[type=text].gray-color:focus, .gray-color a {
    color: var(--gray-color);
}

    .gray-color:focus {
        color: #495057;
        background-color: #fff;
        border-color: var(--gray-5);
        outline: 0;
        box-shadow: 0 0 0 .2rem rgba(248, 248, 248, 0.25);
    }

input[type=text].gray-color::placeholder {
    color: var(--gray-color);
    opacity: 1; /* Firefox */
}

input[type=text].gray-color::-ms-input-placeholder { /* Edge 12 -18 */
    color: var(--gray-color);
}


.bold {
    font-weight: bold;
}

.mr-25 {
    margin-right: 25px;
}

.mr-16 {
    margin-right: 16px;
}

.ml-16 {
    margin-left: 16px;
}

.mr-10 {
    margin-right: 10px;
}

.mr-3px {
    margin-right: 3px;
}

.ml-15 {
    margin-left: 15px;
}

.ml-3rem {
    margin-left: 3rem;
}

.mt-10 {
    margin-top: 10px;
}

.mt-0 {
    margin-top: 0 !important;
}

.mt-5rem {
    margin-top: 5rem;
}

mb-3rem {
    margin-bottom: 3rem;
}

.mb-5rem {
    margin-bottom: 5rem;
}

.mt-6 {
    margin-top: 6px;
}

.bl-2 {
    border: 2px solid;
}

.mt-25 {
    margin-top: 25px;
}

.my-16 {
    margin-top: 16px !important;
    margin-bottom: 16px !important;
}

.dark-color {
    color: var(--gray-dark);
}

.blue-color {
    color: var(--blue-t) !important;
}

.red-color {
    color: var(--red-t);
}

.orange-color {
    color: var(--orange-t2);
}

.square-60 {
    width: 60px;
    height: 60px;
}

.square-40 {
    width: 40px;
    height: 40px;
}

.square-200 {
    width: 200px;
    height: 200px;
}

.square-150 {
    width: 150px;
    height: 150px;
}

.square-10 {
    width: 10px;
    height: 10px;
}

.square-30 {
    width: 30px !important;
    height: 30px !important;
}

.square-25 {
    width: 25px !important;
    height: 25px !important;
}

.squre-25 {
    min-width: 25px !important;
    height: 25px !important;
}

.over-y-scroll {
    overflow-y: scroll;
    scrollbar-width: none; /* مخفی کردن اسکرول در فایرفاکس */
    -ms-overflow-style: none; /* مخفی کردن اسکرول در اینترنت اکسپلورر */
}

    .over-y-scroll::-webkit-scrollbar {
        display: none; /* مخفی کردن اسکرول در کروم، سافاری و اج */
    }

.br-50-percent {
    border-radius: 50%;
}

.br-bt-white {
    border-bottom: 1px solid white !important;
}

.br-bt-blue {
    border-bottom: 1px solid var(--blue2-t) !important;
}

.br-bt-gray {
    border-bottom: 2px solid var(--gray-7-t) !important;
}

.bl-r {
    border-right: 1px solid;
}

.bl-l {
    border-left: 1px solid;
}

.border-black {
    border-color: black;
}
/*#endregion public*/
/*#region footer*/
/*--------------------footer----------------*/
.logo-footer {
    width: 100%;
}

.Title-footer {
    display: block;
}

    .Title-footer h5 {
        display: block;
        font-weight: bold;
    }

.footer p, .footer ul li {
    text-align: justify;
    color: var(--gray-dark2);
    font-size: 0.86em;
}

.footer ul li {
    font-size: 0.86em;
}

    .footer ul li label {
        margin-left: 10px;
    }

.enamad img {
    width: 90%;
}

.up {
    margin: 15px auto;
    padding: 10px 15px;
    background-color: var(--gray4-t);
    border-radius: 8px;
    font-size: 0.9em;
    position: relative;
    color: var(--dark);
}

.arrow {
    border: solid var(--dark);
    border-width: 0 2px 2px 0;
    display: inline-block;
    padding: 3px;
    margin-right: 10px;
    margin-top: 3px;
}

.arrow-up {
    transform: rotate(-135deg);
    -webkit-transform: rotate(-135deg);
}

#customernext {
    right: var(--swiper-navigation-sides-offset, -10px);
}

#customerprev {
    left: var(--swiper-navigation-sides-offset, -10px);
}

.mobile-menu li a {
    border-radius: 5px;
    padding: 2px 5px;
    color: white;
}

    .mobile-menu li a:hover, .mobile-menu li a.active-menu {
        color: black !important;
        background-color: var(--violet-t);
    }
a.active-menu
{
    color:white;
}

.m-auto {
    margin: auto;
}

.m-5-px {
    margin: 5px;
}

.pos-absolute {
    position: absolute;
}

.left-0 {
    left: 0;
}

.height-full {
    height: 100%;
}

.mw-110 {
    min-width: 110px;
}
/*#endregion footer*/
/*#region radiobutton*/
.radio-1 input[type=radio] {
    --s: 1.3em;
    --c: var(--blue-t);
    height: var(--s);
    aspect-ratio: 1;
    border: calc(var(--s)/11) solid var(--gray3-t);
    /*padding: calc(var(--s)/24);*/
    background: radial-gradient(farthest-side,var(--c) 100%,#0000) 50%/0 0 no-repeat content-box;
    border-radius: 50%;
    outline-offset: calc(var(--s)/10);
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    cursor: pointer;
    font-size: inherit;
    transition: .3s;
}

    .radio-1 input[type=radio]:checked {
        border-color: var(--blue-t);
        background-size: 100% 100%;
        background: var(--blue-t);
    }

    .radio-1 input[type=radio]:disabled {
        background: linear-gradient(#939393 0 0) 50%/100% 20% no-repeat content-box;
        opacity: .5;
        cursor: not-allowed;
    }

@media print {
    .radio-1 input[type=radio] {
        -webkit-appearance: auto;
        -moz-appearance: auto;
        appearance: auto;
        background: none;
    }
}

label.radio-1 {
    display: inline-flex;
    align-items: center;
    gap: 10px;
    margin: 5px 0;
    cursor: pointer;
    font-size: 0.9em
}
/*#endregion radiobutton*/
.orange-border {
    border: 1px solid var(--orange-t2);
}

.gray-border {
    border-color: var(--gray-7-t) !important;
}

.gray-border-2 {
    border-color: var(--gray-light) !important;
}

.bb-gray {
    border-bottom: 1px solid var(--gray-color)
}

.bb-black {
    border-bottom: 1px solid black;
}

.right-25-per {
    right: -25%;
}

.bottom-5-per {
    bottom: -5%;
}

.shadow-1 {
    box-shadow: rgba(0, 0, 0, 0.15) 1px 3px 6px 2px;
}

.shadow-2 {
    box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px, rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;
}

.circle {
    width: 15px;
    height: 15px;
    background-color: var(--red-t2);
    border-radius: 50%;
}

.gap {
    gap: 3%;
}

.gap-1 {
    gap: 1%;
}

.line {
    height: 1px;
    width: 20%;
}

.bg-red2 {
    background-color: var(--red-t2)
}

.border-1 {
    border: 1px solid;
}

.border-2 {
    border: 2px solid;
}

.border-blue {
    border-color: var(--blue2-t);
}

.border-gray7 {
    border-color: var(--gray-7-t);
}

.left-line {
    border-left: 1px solid var(--gray-light);
}

.b-orange {
    border: 1px solid var(--orange-t2);
}

.no-shadow {
    box-shadow: none !important;
}

.transparent {
    background-color: transparent !important;
}

.line-through {
    text-decoration: line-through;
}

.h-40 {
    height: 40px;
}

.h-55 {
    height: 55px !important;
}

.h-115 {
    height: 115px;
}

.h-67 {
    height: 67px;
}

.h-150 {
    height: 150px !important;
}

.h-20-px {
    height: 20px;
}
.h-35 {
    height: 35px;
}
.h-45 {
    height: 45px;
}

.h-25-px {
    height: 25px;
}

.h-full {
    height: 100%;
}

.over-hidden {
    overflow: hidden;
}

.swiper-pagination-1 {
    background-color: var(--gray-7-t);
    width: auto;
    border-radius: 7px;
    padding: 0 5px;
    right: 16px;
    left: auto;
    top: 0;
    bottom: auto;
    direction: ltr;
}
/*#region color*/


.color-options {
    list-style: none;
    display: flex;
    gap: 10px;
    padding: 0;
}

.color-item {
    position: relative;
    cursor: pointer;
    text-align: center;
    transition: transform 0.2s;
}

    .color-item:hover {
        transform: scale(1.1);
    }

.color-circle {
    width: 25px;
    height: 25px;
    border-radius: 50%;
    border: 2px solid transparent;
    display: inline-block;
    position: relative;
}

.color-item.active .color-circle {
    border-color: #007bff; /* رنگ حاشیه برای رنگ انتخاب‌شده */
}

    .color-item.active .color-circle::after {
        content: '✔'; /* تیک */
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        color: white;
        font-size: 14px;
    }

.color-name {
    display: block;
    margin-top: 5px;
    font-size: 14px;
}

/*#endregion color*/
/*#region toogle-text*/

.text-content {
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 3; /* نمایش فقط 3 خط */
    -webkit-box-orient: vertical;
    transition: all 0.3s ease;
}

    .text-content.expanded {
        overflow: visible;
        display: block;
    }

.toggle-btn {
    background-color: transparent;
    color: var(--blue-t);
    border: none;
    cursor: pointer;
    border-radius: 4px;
    font-size: 1em;
    margin: 0 95% 0 0;
}

.toggle-sign {
    transition: transform 0.3s ease;
}

    .toggle-sign.rotated {
        transform: rotate(180deg); /* چرخش آیکون */
    }

/*#endregion togle-text*/
/*#region comment-modal*/
.comment-preview {
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 3; /* نمایش فقط سه خط */
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
}

/* کادر مودال */
.modal-container {
    display: none;
    position: fixed;
    bottom: 60px;
    left: 0;
    width: 100%;
    background: var(--blue2-t);
    padding: 10px;
    z-index: 1000;
    box-shadow: 0 -4px 10px rgba(0, 0, 0, 0.2);
    border-top-left-radius: 7px;
    border-top-right-radius: 7px;
}

.modal-content {
    background: white;
    border-radius: 10px;
    padding: 10px;
    text-align: left;
    position: relative;
}

.close-btn {
    position: absolute;
    top: 0px;
    left: 10px;
    font-size: 20px;
    cursor: pointer;
    background: none;
    border: none;
    color: black;
    margin-bottom: 10px;
}

/*#endregion comment-modal*/
/*#region star*/
.star-rating {
    display: flex;
    flex-direction: row;
}

.star {
    font-size: 2rem;
    color: var(--orange-t2);
    cursor: pointer;
    transition: color 0.2s;
}

    .star .fas {
        display: none;
    }

    .star .far {
        display: inline-block;
    }

    .star.hovered .fas,
    .star.selected .fas {
        display: inline-block;
    }

    .star.hovered .far,
    .star.selected .far {
        display: none;
    }
/*#endregion star*/
/*#region progressing*/
progress {
    background: var(--blue-t);
    height: 3px;
    border-radius: 3px;
}

    progress::-moz-progress-bar {
        background: var(--blue-t);
    }

    progress::-webkit-progress-value {
        background: var(--blue-t);
    }

    progress::-webkit-progress-bar {
        background: var(--gray-5);
    }
/*#endregion progressing*/
/*#region table*/
table {
    width: 100%;
    border-collapse: collapse;
    margin: 20px 0;
    font-size: 16px;
}

th, td {
    padding: 10px;
    text-align: center;
    font-weight: normal;
}

th {
    color: var(--gray-7-t);
}


td {
    vertical-align: middle;
}

.status-canceled {
    color: red;
}

.status-delivered {
    color: green;
}

.status-pending {
    color: var(--blue2-t);
}

.status-processing {
    color: var(--orange-t2);
}

.details {
    color: var(--gray-7-t);
    cursor: pointer;
    position: relative;
}

.hidden-row {
    height: 0;
    overflow: hidden;
    transition: all 0.4s ease;
    display: none;
}


    .hidden-row.visible {
        height: auto;
        display: table-row;
    }

.toggle-button-table {
    text-align: center;
    cursor: pointer;
    margin-top: 10px;
    color: #007BFF;
    font-weight: bold;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
}

.toggle-icon-table {
    display: inline-block;
    width: 0;
    height: 0;
    border-style: solid;
}

    .toggle-icon-table.down-row {
        border-width: 8px 8px 0 8px;
        border-color: var(--gray-7-t) transparent transparent transparent;
    }

    .toggle-icon-table.up-row {
        border-width: 0 8px 8px 8px;
        border-color: transparent transparent var(--gray-7-t) transparent;
    }

/*#endregion table*/
/*#region file-upload*/
/* مخفی کردن ورودی فایل اصلی */
input[type="file"] {
    display: none;
}

/* استایل دکمه سفارشی */
.custom-file-upload {
    display: inline-block;
    background-color: var(--gray2-t);
    color: black;
    font-size: 0.9em;
    padding: 5px;
    border-radius: 5px;
    cursor: pointer;
    transition: all 0.3s ease;
    border: none;
    text-align: center;
}

    /* افکت‌ها در حالت‌ها */
    .custom-file-upload:hover {
        background-color: var(--gray-5);
    }

    .custom-file-upload:active {
        background-color: var(--gray-5)
    }

/* استایل برای نمایش نام فایل انتخاب‌شده */
.file-name {
    margin-top: 15px;
    font-size: 14px;
    color: var(--gray-dark2);
}
/*#endregion file-upload*/
/*#region tab*/
.tab-br-bottom:after {
    position: absolute;
    bottom: 0;
    height: 5px;
    border-radius: 7px;
    left: 0;
    content: "";
    width: 100%;
}

.tab-br-bottom.active-tab:after {
    background-color: var(--blue2-t);
}

.tab-br-bottom.active-tab-orange:after {
    background-color: var(--orange-t2);
}

.tab-content {
    display: none;
}

    .tab-content.active-content {
        display: block;
    }
/*#endregion tab*/

/*#region according*/


.accordion-content {
    display: none;
}


.arrow-filter {
    transition: transform 0.3s;
}

/*#endregion according*/
/*#region pricerangeslider*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap");

.price-filter {
    padding: 0;
    background-color: transparent;
    border-color: var(--dark);
    padding-left: 20%;
    text-align: left;
    color: var(--blue2-t);
    font-weight: bold;
}

.price-label {
    position: absolute;
    left: 3%;
    padding-top: 2px;
}

.slider {
    height: 3px;
    position: relative;
    background: #ddd;
    border-radius: 5px;
    overflow: hidden;
}

    .slider .progress {
        height: 100%;
        left: 0;
        right: 0;
        position: absolute;
        border-radius: 5px;
        background: var(--gray-dark2);
    }

.range-input {
    position: relative;
}

    .range-input input {
        position: absolute;
        width: 100%;
        height: 5px;
        top: -5px;
        background: none;
        pointer-events: none;
        -webkit-appearance: none;
        -moz-appearance: none;
        left: 0;
    }

input[type="range"]::-webkit-slider-thumb {
    height: 10px;
    width: 10px;
    border-radius: 50%;
    background: var(--blue2-t);
    pointer-events: auto;
    -webkit-appearance: none;
    box-shadow: 0 0 6px rgba(0, 0, 0, 0.05);
}

input[type="range"]::-moz-range-thumb {
    height: 10px;
    width: 10px;
    border: none;
    border-radius: 50%;
    background: var(--blue2-t);
    pointer-events: auto;
    -moz-appearance: none;
    box-shadow: 0 0 6px rgba(0, 0, 0, 0.05);
}
/*#endregion pricerangeslider*/

.banner-container {
    position: relative;
    width: 100%;
    border-radius: 18px;
    height: 400px; /* ارتفاع دلخواه */
    background-size: cover;
    background-position: center;
    display: flex;
    flex-direction: column;
    justify-content: center; /* وسط عمودی */
    align-items: center; /* وسط افقی */
    text-align: center;
}

.banner-title {
    font-weight: bold;
    font-size: 2rem;
    margin: 0;
}

.banner-count {
    background-color: var(--blue2-t); /* آبی */
    border-radius: 7px;
    padding: 0.25rem 0.5rem; /* فاصله داخلی */
    margin-top: 0.5rem;
    color: white;
    font-weight: bold;
}

.color-box {
    border: 3px solid transparent;
    border-radius: 10px;
    padding: 1px;
    display: flex;
}

.color-selected {
    border-color: var(--green-t);
}

.card-link {
    position: absolute;
    inset: 0;
    z-index: 1;
    background: transparent;
}

.update-basket {
    position: relative;
    z-index: 2;
}

.line-price::before {
    position: absolute;
    width: 100%;
    height: 1px;
    left: 0;
    background: var(--gray-dark2);
    opacity: 0.6;
    top: 45%;
    content: '';
}

.gap-10 {
    gap: 10px;
}

.gap-5 {
    gap: 5px;
}
/*gallery-product*/
.gallery-container {
    text-align: center;
    max-width: 100%;
    margin: auto;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    height: 100%;
    align-items: stretch;
}

.main-image {
    width: 100%;
    flex-grow: 1;
    flex-shrink: 0;
}

    .main-image img {
        width: 100%;
        /*max-height: 400px;*/
        object-fit: fill;
        cursor: pointer;
        border-radius: 7px;
    }

.thumbnails {
    display: flex;
    align-items: flex-start;
    justify-content: space-evenly;
    gap: 10px;
    width: 100%;
    margin-top: 10px;
}

    .thumbnails img {
        width: 70px;
        height: 70px;
        object-fit: cover;
        border-radius: 7px;
        cursor: pointer;
        transition: transform 0.2s;
    }

        .thumbnails img:hover {
            transform: scale(1.1);
        }

#showMoreImages {
    background-color: white;
    color: darkblue;
    border: none;
    padding: 10px;
    cursor: pointer;
    border-radius: 7px;
    transition: background 0.2s;
    width: 70px;
    height: 70px;
    font-weight: bold;
    font-size: 1.3em;
}

    #showMoreImages:hover {
        background-color: darkblue;
        color: white;
        cursor: pointer;
    }
/*-----end productgallery*/
/*--------------modal-------------*/
.modal-overlay {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.5);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
}

.modal-content {
    background: #fff;
    width: 100%;
    max-width: 420px;
}

.hidden {
    display: none;
}

.answer-logo {
    display: inline-block;
    margin-left: 10px;
    margin-top: 2px;
}

    .answer-logo img {
        width: 50px;
    }

.date-answer {
    color: var(--gray2-t);
    font-size: 0.8em;
}

.item-suggest a.card-item-link {
    position: absolute;
    height: 100%;
    width: 100%;
    z-index: 1;
    inset: 0;
    background: transparent;
}

.z-10 {
    z-index: 10 !important;
}

.z-100 {
    z-index: 100 !important;
}

.h-stretch {
    height: stretch;
}

.mb-60px {
    margin-bottom: 60px;
}

.text-justify p {
    text-align: justify !important;
}

.required-star {
    float: right;
    color: red;
    margin-left: 4px;
}

#product-cart-section-container {
    display: block;
    width: 100%;
}

.add-to-cart,
.add-to-cart:hover,
.add-to-cart:active {
    border: none !important;
    outline: none !important;
    box-shadow: none !important;
}

#product-cart-section {
    width: fit-content;
}
.border-shadow {
    box-shadow: rgba(0, 0, 0, 0.05) 0px 6px 24px 0px, rgba(0, 0, 0, 0.08) 0px 0px 0px 1px;
}

/*--------------------pages------------------*/
.content-page h1
{
    text-align:center !important;
}
.content-page h2 {
    font-size: 1.3rem;
    font-weight: bold;
    margin-top: 30px;
    margin-bottom: 15px;
}
.content-page p{
    margin-right:12px;
}
.content-page ul {
    list-style:disc;
    margin-right: 4%;
}
.content-page h3{
    font-weight: 700;
    font-size: 1.1em;
    margin-bottom: 15px;
}
/*-------------------------------header-----------------------------*/

.Logo-header {
    margin: auto;
    display: block;
    text-align: right;
}
.login-icon-header {
    border: 1px solid var(--gray4-t);
    border-radius: 6px;
    padding: 6px 10px;
    font-size: 14px;
}
    .login-icon-header a {
        color: var(--dark);
        display: flex;
        align-items: center;
    }

        .login-icon-header a span, .login-icon-header  button{
            font-size: 13px;
            font-weight: bold;
        }
        .login-icon-header a i {
            font-size: 15px;
            margin-left: 3px;
        }

.rotate-180 {
    transform: rotate(180deg);
}
.login-icon-header ul li
{
    margin:0 2px;
}


/*.basket-icon:before {
    position: absolute;
    content: "|";
    height: 100%;
    top: -6px;
    right: 0;
    color: var(--gray4-t);
    font-size: 22px;
}*/
.jc-stretch
{
    justify-content:stretch;
}
.minicart-box {
    padding:0;
}
.swiper-button-prev:after, .swiper-rtl .swiper-button-next:after {
    content: 'prev';
    font-size: 16px;
}
.swiper-button-next:after, .swiper-rtl .swiper-button-prev:after {
    content: 'next';
    font-size: 16px;
}
.mt-3px
{
    margin-top:3px;
}
.cart-number {
    color: white;
    margin: 0;
    padding: 0;
    height: 100%;
    display: flex;
    align-items: center;
    padding-left: 10px;
    padding-right: 10px;
}
.cart-number-box {
    padding: 0;
    height: 100%;
    color: white;
    background-color: var(--orange-t2);
    z-index:1;
}
.cart-box-ui-number {
    width: 100% !important;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

/*-------------------link footer collapse-----------------------*/
.links-container {
    width: 100%;
    margin: 0;
}

.category-item-link {
    background: #fff;
    border-radius: 0;
    margin-bottom: 0;
    overflow: hidden;
    box-shadow: none;
    margin:0 16px;
}

.category-header {
    width: 100%;
    border: none;
    background: var(--gray-9);
    padding: 10px 20px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 12px;
    font-weight: 700;
    color: var(--dark);
    border-bottom: 1px solid var(--gray5-t);
}

    .category-header span {
        font-size: 16px;
        transition: .3s;
        color: var(--blue-t);
    }

.category-item-link.active .category-header span {
    transform: rotate(180deg);
}

.category-links {
    max-height: 0;
    overflow: hidden;
    transition: max-height .35s ease;
}

.category-item-link.active .category-links {
    max-height: 500px;
    background-color: var(--gray-9);
}

.category-links ul {
    list-style: none;
    padding: 0 20px 20px;
}

.category-links li {
    margin-top: 0;
}

.category-links a {
    text-decoration: none;
    color: var(--gray-dark2);
    display: block;
    padding: 5px 12px;
    border-radius: 0;
    transition: .2s;
    font-size: 11px;
}

    .category-links a:hover {
        padding-right: 18px;
    }


.blog-view-mo h3 {
    font-size: 1.1em !important;
   
}

.blog-view-mo h2 {
    font-size: 1.2em !important;
}

button:focus
{
    outline:none !important;
}
/*-------------------Loader---------------------*/
#page-loader {
    position: fixed;
    inset: 0;
    background: rgba(255,255,255,0.9);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 999999;
}

.dots-loader {
    display: flex;
    gap: 8px;
}

    .dots-loader span {
        width: 12px;
        height: 12px;
        border-radius: 50%;
        background: #0d6efd;
        animation: bounce 0.6s infinite alternate;
    }

        .dots-loader span:nth-child(2) {
            animation-delay: 0.2s;
        }

        .dots-loader span:nth-child(3) {
            animation-delay: 0.4s;
        }

@keyframes bounce {
    from {
        transform: translateY(0);
        opacity: 0.5;
    }

    to {
        transform: translateY(-10px);
        opacity: 1;
    }
}
/*-------------warranty----------------*/
.step.active .step-number {
    background: #1f6ef2;
    color: white;
}


.main-card {
    border: 0;
    border-radius: 20px;
    box-shadow: 0 10px 35px rgba(0,0,0,.08);
    overflow: hidden;
}

.left-panel {
    background: linear-gradient(135deg,#0c2d63,#1f6ef2);
    color: white;
    padding: 50px;
    height: 100%;
}

.welcome-title {
    font-size: 1.8em;
    font-weight: bold;
    line-height: 1.8;
    text-align: center;
}

.info-box {
    background: rgba(255,255,255,.15);
    border-radius: 15px;
    padding: 20px;
    margin-top: 25px;
}

.stepper {
    display: flex;
    justify-content: center;
    margin-bottom: 40px;
}

.step {
    text-align: center;
    width: 180px;
}

.step-number {
    width: 45px;
    height: 45px;
    background: #d8d8d8;
    color: #555;
    border-radius: 50%;
    line-height: 45px;
    margin: auto;
    font-weight: bold;
}

.step.active .step-number {
    background: #1f6ef2;
    color: white;
}

.form-area {
    padding: 50px;
}

.btn-main {
    height: 55px;
    border-radius: 12px;
    background: #1f6ef2;
    border: none;
    font-weight: bold;
}

    .btn-main:hover {
        background: #1456c9;
    }

.otp-box {
    width: 55px;
    height: 55px;
    text-align: center;
    font-size: 24px;
    border-radius: 12px;
}

